
Foreman - Bug #4460

v2 api architectures missing operating systems in index

02/26/2014 11:57 AM - Thomas McKay

Status: Rejected   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

        {

            "name": "x86_64",

            "id": 1,

            "created_at": "2014-02-24T21:01:42Z",

            "updated_at": "2014-02-24T21:01:42Z" 

        }

 missing

    "operatingsystems": [

        {

            "id": 1,

            "name": "CentOS",

            "fullname": "CentOS 6.4" 

        }

    ]

History

#1 - 02/26/2014 11:57 AM - Thomas McKay

- Category set to API

#2 - 02/26/2014 12:00 PM - Dominic Cleal

Indexes aren't intended to contain relationships to other resources, they're meant to be included in the show view only.

#3 - 02/26/2014 12:22 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1255

#4 - 02/27/2014 07:46 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

Tom closed PR

#5 - 02/27/2014 03:54 PM - Dominic Cleal

- Status changed from Closed to Rejected

- Target version deleted (1.9.1)
